Ipelib: ipe Namespace Reference

Ipelib

Classes | Typedefs | Enumerations | Functions | Variables
ipe Namespace Reference

## Classes
class | A85Source
class | A85Stream
class | AllAttributes
class | Angle
class | Arc
class | Attribute
class | Base64Source
class | Base64Stream
class | BBoxPainter
class | Bezier
class | Bitmap
class | BitmapFinder
class | Buffer
class | BufferSource
class | CairoPainter
class | Canvas
class | CanvasBase
class | CanvasObserver
class | Cascade
class | ClosedSpline
class | Color
class | Curve
class | CurveSegment
class | DataSource
class | DeflateStream
class | Document
class | Effect
class | Ellipse
class | Face
class | FileSource
class | FileStream
class | Fixed
class | Fonts
struct | Gradient
class | Group
class | Image
class | ImlParser
class | InflateSource
class | Ipelet
struct | IpeletData
class | IpeletHelper
class | Latex
struct | Layout
class | Lex
class | Line
class | Linear
class | Matrix
class | Object
class | ObjectFactory
class | Page
class | PageSelector
class | Painter
class | PanTool
class | Path
class | PdfArray
class | PdfBool
class | PdfDict
class | PdfFile
class | PdfName
class | PdfNull
class | PdfNumber
class | PdfObj
class | PdfPainter
class | PdfParser
class | PdfRef
class | PdfResources
class | PdfString
struct | PdfToken
class | PdfWriter
class | Platform
class | PsPainter
class | PsWriter
class | Rect
class | Reference
class | Repository
class | Segment
class | SelectTool
class | Shape
class | Snap
class | Stream
class | String
class | StringStream
class | StyleSheet
class | SubPath
class | Symbol
class | TellStream
class | Text
struct | TextPadding
class | Thumbnail
struct | Tiling
class | Tool
class | TransformTool
class | Vector
class | Visitor
class | XmlAttributes
class | XmlParser

## Typedefs
typedef std::vector< Attribute > | AttributeSeq
using | PdfRenumber = std::unordered_map< int, int >

## Enumerations
enum | Kind { EPen = 0, ESymbolSize, EArrowSize, EColor, EDashStyle, ETextSize, ETextStretch, ETextStyle, ELabelStyle, EGridSize, EAngleSize, EOpacity, ETiling, ESymbol, EGradient, EEffect }
enum | Property { EPropPen = 0, EPropSymbolSize, EPropFArrow, EPropRArrow, EPropFArrowSize, EPropRArrowSize, EPropFArrowShape, EPropRArrowShape, EPropStrokeColor, EPropFillColor, EPropMarkShape, EPropPathMode, EPropDashStyle, EPropTextSize, EPropTextStyle, EPropLabelStyle, EPropOpacity, EPropTiling, EPropGradient, EPropHorizontalAlignment, EPropVerticalAlignment, EPropLineJoin, EPropLineCap, EPropFillRule, EPropPinned, EPropTransformations, EPropTransformableText, EPropMinipage, EPropWidth, EPropDecoration }
enum | TPathMode { EStrokedOnly, EStrokedAndFilled, EFilledOnly }
enum | THorizontalAlignment { EAlignLeft, EAlignRight, EAlignHCenter }
enum | TVerticalAlignment { EAlignBottom, EAlignBaseline, EAlignTop, EAlignVCenter }
enum | TLineJoin { EDefaultJoin, EMiterJoin, ERoundJoin, EBevelJoin }
enum | TLineCap { EDefaultCap, EButtCap, ERoundCap, ESquareCap }
enum | TFillRule { EDefaultRule, EWindRule, EEvenOddRule }
enum | TPinned { ENoPin = 0x00, EHorizontalPin = 0x01, EVerticalPin = 0x02, EFixedPin = 0x03 }
enum | TTransformations { ETransformationsTranslations, ETransformationsRigidMotions, ETransformationsAffine }
enum | TSelect { ENotSelected = 0, EPrimarySelected, ESecondarySelected }
enum | LatexType { LatexType::Default, LatexType::Pdftex, LatexType::Xetex, LatexType::Luatex }
enum | FontType { FontType::Type1, FontType::Truetype, FontType::CIDType0, FontType::CIDType2, FontType::Unsupported }

## Functions
template<class T >
T | max (const T &lhs, const T &rhs)
template<class T >
T | min (const T &lhs, const T &rhs)
double | abs (double val)
QPointF | QPt (const Vector &v)
String | IpeQ (const QString &str)
QString | QIpe (const String &str)
QColor | QIpe (Color color)
Color | IpeQ (QColor color)

## Variables
const char *const | kind_names []
const char *const | property_names []
const int | IPELIB_VERSION = 70209
const int | OLDEST_FILE_FORMAT = 70000
const int | FILE_FORMAT = 70206

## Typedef Documentation

## ◆ PdfRenumber

using ipe::PdfRenumber = typedef std::unordered_map<int,int>

## Enumeration Type Documentation

## ◆ LatexType

enum ipe::LatexType
| strong

Enumerator
Default |
Pdftex |
Xetex |
Luatex |

## ◆ FontType

enum ipe::FontType
| strong

Enumerator
Type1 |
Truetype |
CIDType0 |
CIDType2 |
Unsupported |

## Function Documentation

## ◆ QPt()

QPointF ipe::QPt | ( | const Vector & | v | ) |
| inline

References ipe::Vector::x, and ipe::Vector::y.

Referenced by ipe::Canvas::wheelEvent().

## ◆ IpeQ() [1/2]

String ipe::IpeQ | ( | const QString & | str | ) |
| inline

Referenced by ipe::Canvas::keyPressEvent().

## ◆ QIpe() [1/2]

QString ipe::QIpe | ( | const String & | str | ) |
| inline

References ipe::String::z().

## ◆ QIpe() [2/2]

QColor ipe::QIpe | ( | Color | color | ) |
| inline

References ipe::Color::iBlue, ipe::Color::iGreen, ipe::Color::iRed, and ipe::Fixed::toDouble().

## ◆ IpeQ() [2/2]

Color ipe::IpeQ | ( | QColor | color | ) |
| inline

References ipe::Canvas::Canvas(), ipe::Canvas::drawFifi(), ipe::Canvas::keyPressEvent(), ipe::Canvas::mouseButton(), ipe::Canvas::mouseDoubleClickEvent(), ipe::Canvas::mouseMoveEvent(), ipe::Canvas::mousePressEvent(), ipe::Canvas::mouseReleaseEvent(), ipe::Canvas::paintEvent(), ipe::Canvas::sizeHint(), ipe::Canvas::tabletEvent(), and ipe::Canvas::wheelEvent().